$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.20.0.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.20.0.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'BE86822C4D03A8CD689736424DFB5F945679BB934214310FD836716BF58DD1B6'
  checksumType = 'sha256'
  checksum64 = 'BE86822C4D03A8CD689736424DFB5F945679BB934214310FD836716BF58DD1B6'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.20.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
